QGIS Application - Bug report #20851

3.4.2 Crashed on Exit
2018-12-20 12:36 AM - David Fosdeck

Status: Closed
Priority: Normal
Assignee:

Category: Actions

Affected QGIS version:3.4.2
Operating System: win10
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: duplicate

Copied to github as #: 28670

Description

User Feedback

2 vector (pt & line) projected shapefiles loaded. Also openStreetMap map service. Tried adding an ArcGIS map service, nothing
happened. Used Vector>Geometry Tools>MultiParts to SingleParts, sucessfully. Then removeed this newly created layer. Saved As.
Then Closed/Exited project. Message came up about losing scratch temp layer, clicked OK. Closed. Saw this crash message.

Report Details

Crash ID: a82e7e07e3c0e2dbce4f2adf5452fe54341e44a9

Stack Trace

proj_lpz_dist :
proj_lpz_dist :

QgsCoordinateTransform::transformPolygon :
QgsCoordinateTransform::transformPolygon :
QgsCoordinateTransform::~QgsCoordinate Transform :

QgsFirstRunDialog::tr :

QObjectPrivate::deleteChildren :

QWidget::~QWidget :
CPLStringList::operator[] :
main :
BaseThreadInitThunk :
RtlUserThreadStart :

QGIS Info
QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2
Running against Qt: 5.11.2
Compiled against GDAL: 2.3.2
Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

Related issues:

Duplicates QGIS Application - Bug report # 20283: Crash when exiting program ... Reopened 2018-10-30

History

#1 - 2019-01-15 04:02 AM - Nyall Dawson

- Resolution set to duplicate

2025-05-19

12




- Status changed from Open to Closed

Duplicate of #20283

#2 - 2019-01-15 12:01 PM - Jiirgen Fischer
- Duplicates Bug report #20283: Crash when exiting program [proj _Ipz_dist] added

2025-05-19 22



